

# Собития гранат
scoreboard players set tick_grenade cs:operations 0
execute if entity @e[type=addon:flash_grenade] run scoreboard players set tick_grenade cs:operations 1
execute if entity @e[type=addon:smoke_grenade] run scoreboard players set tick_grenade cs:operations 1
execute if entity @e[type=addon:fire_grenade] run scoreboard players set tick_grenade cs:operations 1
execute if entity @e[type=addon:he_grenade] run scoreboard players set tick_grenade cs:operations 1
execute if score tick_grenade cs:operations matches 1 run function games/cs/game/tick_grenade


# Прогрузка
execute if score star_tick cs:operations matches 1.. run scoreboard players remove star_tick cs:operations 1
execute if score star_tick cs:operations matches 2 run execute as @a[tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score star_tick cs:operations matches 2 run execute as @a[tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist
execute if score star_tick cs:operations matches 2 if score fistTick cs:operations matches 1 run execute as @a[tag=cs:game,tag=!cs:lobby,tag=!cs:viewer] at @s run scriptevent fearcube:ui cs_info_round
execute if score star_tick cs:operations matches 1 run function games/cs/game/purchase


# Оптимизация
scoreboard players set how_drop cs:operations 0
execute as @e[family=cs_drop] at @s run scoreboard players add how_drop cs:operations 1
execute if score how_drop cs:operations matches 10.. run event entity @e[family=cs_drop] fear:despawn

# Отображение игроков
scoreboard players set how_gamers cs:operations 0
execute as @a[tag=cs:game] at @s run scoreboard players add how_gamers cs:operations 1

scoreboard players set track_viewer cs:operations 0
execute as @a[tag=cs:viewer] at @s run scoreboard players add track_viewer cs:operations 1

# Оповещение тимейтов о найденой бомбы
execute if score informatin_bomb cs:operations matches 1.. run scoreboard players remove informatin_bomb cs:operations 1
execute as @a[tag=cs:game,tag=!cs:lobby] at @s run kill @e[type=item,r=5]

# Задержка звука при победе
execute if score sound_victory_commando cs:operations matches 1.. run scoreboard players remove sound_victory_commando cs:operations 1
execute if score sound_victory_commando cs:operations matches 1 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run playsound fear.counter_terrorists_win @s ~~~

# UI
execute if score gameUI cs:operations matches 1.. run scoreboard players remove gameUI cs:operations 1
execute if score gameUI cs:operations matches 0 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run scriptevent fearcube:ui cs_main
execute if score gameUI cs:operations matches 0 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run function games/cs/game/detect_gun
execute if score gameUI cs:operations matches 1 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run function games/cs/game/detect_gun_reload
execute if score gameUI cs:operations matches 1 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run scriptevent fearcube:ui cs_gun_reload
execute if score gameUI cs:operations matches ..0 run scoreboard players set gameUI cs:operations 2

# stats timer
execute if score gameTimer cs:operations matches 1.. run scoreboard players remove gameTimer cs:operations 1
execute if score gameTimer cs:operations matches 1 run execute as @a[tag=cs:game] at @s run scriptevent fearcube:add_tag c12=1
execute if score gameTimer cs:operations matches ..0 run scoreboard players set gameTimer cs:operations 20




execute if score cs.arena fear:settings matches 1 if score timer_for_purchasing cs:operations matches 21.. positioned 2935 107 2970 as @a[rm=8,tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score cs.arena fear:settings matches 1 if score timer_for_purchasing cs:operations matches 21.. positioned 2956 113 2903 as @a[rm=8,tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist

execute if score cs.arena fear:settings matches 2 if score timer_for_purchasing cs:operations matches 21.. positioned 997 114 -973 as @a[rm=8,tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score cs.arena fear:settings matches 2 if score timer_for_purchasing cs:operations matches 21.. positioned 1140 109 -1036 as @a[rm=8,tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist

execute if score cs.arena fear:settings matches 3 if score timer_for_purchasing cs:operations matches 21.. positioned 997 116 6 as @a[rm=8,tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score cs.arena fear:settings matches 3 if score timer_for_purchasing cs:operations matches 21.. positioned 1061 118 -24 as @a[rm=8,tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist

execute if score cs.arena fear:settings matches 4 if score timer_for_purchasing cs:operations matches 21.. positioned -1049 172 994 as @a[rm=8,tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score cs.arena fear:settings matches 4 if score timer_for_purchasing cs:operations matches 21.. positioned -956 176 1063 as @a[rm=8,tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist

execute if score cs.arena fear:settings matches 5 if score timer_for_purchasing cs:operations matches 21.. positioned 51 127 1065 as @a[rm=8,tag=cs:commando,tag=!cs:lobby] at @s run function games/cs/game/teleportation_commando
execute if score cs.arena fear:settings matches 5 if score timer_for_purchasing cs:operations matches 21.. positioned 40 125 931 as @a[rm=8,tag=cs:terrorist,tag=!cs:lobby] at @s run function games/cs/game/teleportation_terrorist




execute if score cs.arena fear:settings matches 4 if score geiger_counter cs:operations matches 1.. run scoreboard players remove geiger_counter cs:operations 1
execute if score cs.arena fear:settings matches 4 if score geiger_counter cs:operations matches 1 as @e[type=fear:cs_geiger_counter] at @s run playsound fear.cs_geiger_counter @a ~~~ 0.5 0.8
execute if score cs.arena fear:settings matches 4 if score geiger_counter cs:operations matches ..0 run scoreboard players set geiger_counter cs:operations 20
# счечики -----------------------------------------
# время для закупки
execute if score timer_for_purchasing cs:operations matches 21.. run scoreboard players remove timer_for_purchasing cs:operations 1
execute if score timer_for_purchasing cs:operations matches 21 run function games/cs/game/purchase_completed


execute if score timer_until_explosion cs:operations matches 21.. run function games/cs/game/auto_selection_tick
execute if score timer_until_bomb_planted cs:operations matches 21.. run function games/cs/game/auto_selection_tick

# Таймер до взрыва бомбы
execute if score bomb_planted cs:operations matches 1 if score timer_until_explosion cs:operations matches 21.. run scoreboard players remove timer_until_explosion cs:operations 1
execute if score bomb_planted cs:operations matches 1 if score timer_until_explosion cs:operations matches 21 run function games/cs/game/bomb_explode 

# Таймер до победы Спецназа
execute if score bomb_plant cs:operations matches 0 if score timer_until_bomb_planted cs:operations matches 21.. run scoreboard players remove timer_until_bomb_planted cs:operations 1


execute if score timer_for_purchasing1 cs:operations matches 1.. run function games/cs/game/shoop/tick
# -------------------------------------------------


# Варианты окончания раундов и побед в игре
execute if score winner_i_true cs:operations matches 0 if score gameScoreCommando cs:operations >= cs.number_rounds_win_game fear:settings run scoreboard players set winner_i cs:operations 2
execute if score winner_i_true cs:operations matches 0 if score gameScoreCommando cs:operations >= cs.number_rounds_win_game fear:settings run function games/cs/game/over_game

execute if score winner_i_true cs:operations matches 0 if score gameScoreTerrorist cs:operations >= cs.number_rounds_win_game fear:settings run scoreboard players set winner_i cs:operations 1
execute if score winner_i_true cs:operations matches 0 if score gameScoreTerrorist cs:operations >= cs.number_rounds_win_game fear:settings run function games/cs/game/over_game

# если терористы вышли из игры
execute unless entity @a[tag=cs:terrorist,tag=cs:game] if score winner_i_true cs:operations matches 0 run scoreboard players set winner_i cs:operations 2
execute unless entity @a[tag=cs:terrorist,tag=cs:game] if score winner_i_true cs:operations matches 0 run function games/cs/game/over_game

# если чпецназ вышел из игры
execute unless entity @a[tag=cs:commando,tag=cs:game] if score winner_i_true cs:operations matches 0 run scoreboard players set winner_i cs:operations 1
execute unless entity @a[tag=cs:commando,tag=cs:game] if score winner_i_true cs:operations matches 0 run function games/cs/game/over_game


# победа в раунде терористов (враги уничтожены)
execute unless entity @a[tag=cs:commando,m=adventure,tag=!cs:lobby] if score winner_true cs:operations matches 0 run scoreboard players set winner cs:operations 1
execute unless entity @a[tag=cs:commando,m=adventure,tag=!cs:lobby] if score winner_true cs:operations matches 0 run function games/cs/game/winer

# победа в раунде спецназа (враги уничтожены)
execute unless score bomb_planted cs:operations matches 1 unless entity @a[tag=cs:terrorist,tag=!cs:death_true,tag=!cs:lobby] if score winner_true cs:operations matches 0 run scoreboard players set winner cs:operations 2
execute unless score bomb_planted cs:operations matches 1 unless entity @a[tag=cs:terrorist,tag=!cs:death_true,tag=!cs:lobby] if score winner_true cs:operations matches 0 run function games/cs/game/winer

# победа в раунде спецназа (бомба не заложена)
execute if score timer_until_bomb_planted cs:operations matches 21 if score winner_true cs:operations matches 0 run scoreboard players set winner cs:operations 2
execute if score timer_until_bomb_planted cs:operations matches 21 if score winner_true cs:operations matches 0 run function games/cs/game/winer


execute if score bomb_planted cs:operations matches 0 if score bomb_animations_cull cs:operations matches 68 run playanimation @e[type=fear:entites_cs_bomb] animation.cs_bomb.ejection
execute if score bomb_planted cs:operations matches 0 as @e[type=fear:attachable_entity] at @s run tp @e[type=fear:entites_cs_bomb] ~~1.5~
execute as @e[type=fear:entites_cs_bomb] unless block ~~~ air [] run tp @s ^^^0.1 facing @p[m=adventure]

# Бомба -----------------
execute as @a[tag=cs:terrorist,hasitem={item=fear:cs_bomb,location=slot.weapon.mainhand,slot=0}] at @s if block ~~-1~ red_wool [] run titleraw @s actionbar {"rawtext":[{"text":"§a"},{"translate":"fearcube.cs.bomb_installation_instructions1"}]}
execute as @a[tag=cs:terrorist,hasitem={item=fear:cs_bomb,location=slot.weapon.mainhand,slot=0}] at @s unless block ~~-1~ red_wool [] run titleraw @s actionbar {"rawtext":[{"text":"§c"},{"translate":"fearcube.cs.bomb_installation_instructions"}]}
execute as @a[tag=cs:terrorist] at @s unless block ~~-1~ red_wool [] run scoreboard players set @s cs:terrorist_bomb 0
execute as @a[tag=cs:terrorist,tag=!fear:shift_on] at @s run scoreboard players set @s cs:terrorist_bomb 0
execute as @a[tag=cs:terrorist,hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand}] at @s if block ~~-1~ red_wool [] run scriptevent fearcube:trigers On_shift
execute as @a[tag=cs:terrorist,tag="fear:shift_on",hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand},scores={cs:terrorist_bomb=0}] at @s if block ~~-1~ red_wool [] run scoreboard players set @s cs:terrorist_bomb 60
execute as @a[tag=cs:terrorist,tag="fear:shift_on",hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand},scores={cs:terrorist_bomb=1..}] at @s if block ~~-1~ red_wool [] run scoreboard players remove @s cs:terrorist_bomb 1
execute as @a[tag=cs:terrorist,tag="fear:shift_on",hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand},scores={cs:terrorist_bomb=55}] at @s if block ~~-1~ red_wool [] run playanimation @s animation.player.press_button
execute as @a[tag=cs:terrorist,tag="fear:shift_on",hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand},scores={cs:terrorist_bomb=55}] at @s if block ~~-1~ red_wool [] run playsound fear.bomb_activation_sound @a[r=15] ~~~ 0.5 1
execute as @a[tag=cs:terrorist,tag="fear:shift_on",hasitem={item=fear:cs_bomb,slot=0,location=slot.weapon.mainhand},scores={cs:terrorist_bomb=1}] at @s if block ~~-1~ red_wool [] run function games/cs/game/bomb_activated


execute if score timer_until_explosion cs:operations matches 25.. if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate,tag=!cs:death_true,tag=fear:move_on] at @s run function games/cs/game/canceling_bomb
execute if score timer_until_explosion cs:operations matches 25.. if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate,tag=!cs:death_true,tag=!fear:move_on] at @s run scoreboard players add @s cs:operations 1
execute if score timer_until_explosion cs:operations matches 25.. if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate,tag=!cs:death_true,tag=!fear:move_on,tag=cs:sapper_kit] at @s run scoreboard players add @s cs:operations 1
execute if score timer_until_explosion cs:operations matches 25.. if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate,tag=!cs:death_true,tag=!fear:move_on] at @s run scriptevent fearcube:trigers On_move

execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 2..49 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 50..74 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 75..99 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 100..124 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 125..149 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 150..174 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 175..189 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 190..200 run scriptevent fearcube:other cs_title_def_bomb
execute if entity @e[type=fear:entites_cs_bomb] as @a[tag=cs:commando_bomb_deactivate] at @s if score @s cs:operations matches 200.. run function games/cs/game/bomb_deactivated

execute if score bomb_animations_cull cs:operations matches 1.. run scoreboard players remove bomb_animations_cull cs:operations 1
execute if score bomb_planted cs:operations matches 0 if score bomb_animations_cull cs:operations matches ..0 run playanimation @e[type=fear:entites_cs_bomb] animation.cs_bomb.in_hand
execute if score bomb_planted cs:operations matches 1 unless entity @a[tag=cs:commando_bomb_deactivate] run playanimation @e[type=fear:entites_cs_bomb] animation.cs_bomb_move
execute if score bomb_planted cs:operations matches 2 run playanimation @e[type=fear:entites_cs_bomb] animation.cs_bomb.defused


execute if score bomb_planted cs:operations matches 1 if score bomb_sound cs:operations matches 1.. run scoreboard players remove bomb_sound cs:operations 1
execute if score timer_until_explosion cs:operations matches 70..900 if score bomb_planted cs:operations matches 1 if score bomb_sound cs:operations matches 1 run execute as @e[type=fear:entites_cs_bomb] at @s run playsound fear.bomb_sound @a ~~~ 0.5 1

execute if score timer_until_explosion cs:operations matches 300..900 if score bomb_planted cs:operations matches 1 if score bomb_sound cs:operations matches 0 run scoreboard players set bomb_sound cs:operations 20
execute if score timer_until_explosion cs:operations matches 100..299 if score bomb_planted cs:operations matches 1 if score bomb_sound cs:operations matches 0 run scoreboard players set bomb_sound cs:operations 10
execute if score timer_until_explosion cs:operations matches 65..199 if score bomb_planted cs:operations matches 1 if score bomb_sound cs:operations matches 0 run scoreboard players set bomb_sound cs:operations 5
execute if score timer_until_explosion cs:operations matches 60 if score bomb_planted cs:operations matches 1 run execute as @a[tag=cs:game,tag=!cs:lobby] at @s run playsound fear.nvg_on @s ~~~
# -----------------------
