effect @e[type=fear:custom,name="mm:point"] invisibility 1 1 true
effect @e[type=!player,x=50,y=33,z=-3,r=1] invisibility 1 1 true
effect @a[tag=mm:game,m=!spectator] instant_health 1 155 true
execute if score mm.arena fear:settings matches 1 run function games/mm/game/arena/teleporter
execute if score mm.arena fear:settings matches 5 run function games/mm/game/arena/lever


# spawn rule
execute as @a[tag=mm:spawn_rule,tag=!mm:spawn_rule_true] at @s run function games/mm/game/spawn_rule



# give role
execute if score mm:pre_timer "mm:timer_issued_roles" matches 1.. run scoreboard players remove mm:pre_timer "mm:timer_issued_roles" 1
execute if score mm:pre_timer "mm:timer_issued_roles" matches 1 run function games/mm/game/issued_roles

execute if score mm.arena fear:settings matches 5 as @a[tag=mm:game,m=!spectator] at @s run kill @s[y=131,r=1] 
execute if score mm.arena fear:settings matches 5 as @a[tag=mm:game,m=!spectator] at @s run kill @s[y=122,r=1] 
execute if score mm.arena fear:settings matches 5 as @a[tag=mm:game,m=!spectator] at @s if block ~~~ structure_void [] run kill @s 
execute if score mm.arena fear:settings matches 4 as @a[tag=mm:game,m=!spectator] at @s run kill @s[y=107,r=1] 

execute if score mm.double_protection fear_operation matches 0 unless entity @a[tag=mm:game,tag=mm:murder] run function games/mm/game/over
execute if score mm.double_protection fear_operation matches 0 unless entity @a[tag=mm:game,tag=mm:civilian] run function games/mm/game/over


# spawn point
execute as @e[type=fear:custom,scores={"mm:distribution_players"=1..}] at @s unless entity @e[r=2,type=fear:coin] run scoreboard players remove @s "mm:distribution_players" 1
execute as @e[type=fear:custom,scores={"mm:distribution_players"=2}] at @s unless entity @e[r=2,type=fear:coin] run playsound random.pop @a[tag=mm:game] ~~~ 0.5 1
execute as @e[type=fear:custom,scores={"mm:distribution_players"=2}] at @s unless entity @e[r=2,type=fear:coin] run summon fear:coin ~~~ 
execute as @e[type=fear:custom,scores={"mm:distribution_players"=1}] at @s unless entity @e[r=2,type=fear:coin] if score how_gamers mm:operation matches ..4 run scoreboard players random @s "mm:distribution_players" 1200 1400
execute as @e[type=fear:custom,scores={"mm:distribution_players"=1}] at @s unless entity @e[r=2,type=fear:coin] if score how_gamers mm:operation matches 5..6 run scoreboard players random @s "mm:distribution_players" 1000 1200
execute as @e[type=fear:custom,scores={"mm:distribution_players"=1}] at @s unless entity @e[r=2,type=fear:coin] if score how_gamers mm:operation matches 7..8 run scoreboard players random @s "mm:distribution_players" 800 1000
execute as @e[type=fear:custom,scores={"mm:distribution_players"=1}] at @s unless entity @e[r=2,type=fear:coin] if score how_gamers mm:operation matches 9.. run scoreboard players random @s "mm:distribution_players" 600 800


# Timer
execute if score mm.timer_score1 mm:operation matches 2 if score mm.double_protection fear_operation matches 0 run function games/mm/game/over
execute if score mm.timer_score mm:operation matches 1.. run scoreboard players remove mm.timer_score mm:operation 1
execute if score mm.timer_score mm:operation matches ..0 if score mm.timer_seconds mm:operation matches 1.. run scoreboard players remove mm.timer_seconds mm:operation 1
execute if score mm.timer_score mm:operation matches ..0 if score mm.timer_seconds mm:operation matches ..0 if score mm.timer_minutes mm:operation matches 1.. run scoreboard players remove mm.timer_minutes mm:operation 1
execute if score mm.timer_score mm:operation matches ..0 if score mm.timer_seconds mm:operation matches ..0 if score mm.timer_minutes mm:operation matches 0 if score mm.timer_score1 mm:operation matches 0..1 run scoreboard players add mm.timer_score1 mm:operation 1
execute if score mm.timer_score mm:operation matches ..0 if score mm.timer_seconds mm:operation matches 1..10 if score mm.timer_minutes mm:operation matches 0 if score mm.timer_score1 mm:operation matches 1 as @a[tag=mm:game] at @s run playsound random.click @s ~~~ 1 2
execute if score mm.timer_score mm:operation matches ..0 if score mm.timer_seconds mm:operation matches ..0 if score mm.timer_score1 mm:operation matches ..1 run scoreboard players set mm.timer_seconds mm:operation 60
execute if score mm.timer_score mm:operation matches ..0 run scoreboard players set mm.timer_score mm:operation 20

execute if score timer:game fear_operation matches 0.. run scoreboard players add timer:game fear_operation 1
execute if score timer:game fear_operation matches 160.. run scoreboard players set timer:game fear_operation 1


# trackers
scoreboard players set how_civilian mm:operation 0
execute as @a[tag=mm:civilian] at @s run scoreboard players add how_civilian mm:operation 1

scoreboard players set how_viewer mm:operation 0
execute as @a[tag=mm:game,m=spectator] at @s run scoreboard players add how_viewer mm:operation 1

scoreboard players set how_gamers mm:operation 0
execute as @a[tag=mm:game] at @s run scoreboard players add how_gamers mm:operation 1

execute as @a[tag=mm:game,m=spectator,tag=!mm:spectator] at @s run tag @s add mm:spectator
 
execute as @a[tag=mm:game] at @s run scriptevent fearcube:ui MM_UI

execute as @e[type=fear:coin] at @s run execute as @p[r=1,tag=mm:game,m=!spectator] at @s run function items/coin
execute as @e[type=fear:bow_entity] at @s run execute as @p[r=1,tag=!mm:murder,tag=mm:civilian,m=!spectator] at @s run function items/bow_entity
execute as @a[tag=mm:game,tag=mm:civilian,scores={mm:coins=10..}] at @s run function games/mm/game/amount_collected_coin
execute as @a[tag=mm:game,tag=mm:civilian,scores={mm:coins=10..}] at @s run scoreboard players remove @s mm:coins 10

execute as @a[scores={mm.item_cooldown_sword=1..}] at @s run scoreboard players remove @s mm.item_cooldown_sword 1
execute as @a[scores={mm.item_cooldown_sword=1}] at @s run titleraw @s actionbar {"rawtext":[{"text":" "},{"translate":"fearcube.mm.cooldown_sword"}]}
execute as @a[scores={mm.item_cooldown_sword=1}] at @s run playsound random.orb @s ~~~ 1 2

execute as @a[tag=mm:game,m=spectator,tag=!fear:mute] at @s run function other/player_state/mute

execute as @a[tag=mm:game,tag=mm:detective,hasitem={item=arrow,quantity=..0},scores={"mm:timer_issued_roles"=..399}] at @s run scoreboard players add @s "mm:timer_issued_roles" 1
execute as @a[tag=mm:game,tag=mm:detective,hasitem={item=arrow,quantity=..0},scores={"mm:timer_issued_roles"=400}] at @s run function games/mm/game/amount_collected_coin
