
import { system, world } from '@minecraft/server';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';





system.afterEvents.scriptEventReceive.subscribe((event) => {

    if (event.id === "fearcube:vote" && event.message === "hns_vote") {
        let arena1Votes = getScore("fear_operation", "hns.mobs.vove_arena1");
        let arena2Votes = getScore("fear_operation", "hns.mobs.vove_arena2");
        let arena3Votes = getScore("fear_operation", "hns.mobs.vove_arena3");
        let arenas = [
            { name: "arena1", votes: arena1Votes },
            { name: "arena2", votes: arena2Votes },
            { name: "arena3", votes: arena3Votes }
        ];
        arenas.sort((a, b) => b.votes - a.votes);
        let maxVotes = arenas[0].votes;
        let topArenas = arenas.filter(arena => arena.votes === maxVotes);
        let selectedArena;
        if (topArenas.length > 1) {
            selectedArena = topArenas[Math.floor(Math.random() * topArenas.length)];
        } else {
            selectedArena = topArenas[0];
        }
        if (selectedArena.name === "arena1") {
            runcmd(`scoreboard players set hns.mobs.arena fear:settings 1`)
            runcmd(`tellraw @a[tag=hns.mobs_lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"fearcube.hns.arena1"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"hns.mobs.vove_arena1","objective":"fear_operation"}}]}]}}]}`)
 
        } else if (selectedArena.name === "arena2") {
            runcmd(`scoreboard players set hns.mobs.arena fear:settings 2`)
            runcmd(`tellraw @a[tag=hns.mobs_lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"fearcube.hns.arena2"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"hns.mobs.vove_arena2","objective":"fear_operation"}}]}]}}]}`)
 
        } else if (selectedArena.name === "arena3") {
            runcmd(`scoreboard players set hns.mobs.arena fear:settings 3`)
            runcmd(`tellraw @a[tag=hns.mobs_lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"fearcube.hns.arena3"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"hns.mobs.vove_arena3","objective":"fear_operation"}}]}]}}]}`)
 
        }
    }
    


});