import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";
import { system, world } from '@minecraft/server';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';





system.afterEvents.scriptEventReceive.subscribe((event) => {   

if (event.id === "fearcube:forms_informations",event.message === "main") {
    let player = event.sourceEntity
    let name = event.sourceEntity.name  

    let form = new ActionFormData();
    form.title("%fearcube.map_information.main");
    form.body(`%fearcube.map_information.main1 \n\n%fearcube.map_information.main2`);
    form.button(`FearCube \n%fearcube.map_information.main3`, "textures/map_information/fearcube/logo");
    form.button(`InSaRe \n%fearcube.map_information.main4`, "textures/map_information/InSaRe/logo");
    form.button(`MohammedKHC \n%fearcube.map_information.main5`, "textures/map_information/MohammedKHC/logo");

    form.show(player).then(r => {
        if (r.canceled) return;
    
        let response = r.selection;
        switch (response) {
            case 0:
                runcmd_at(name, 'scriptevent fearcube:forms_informations list_fearcube')
            break;
            case 1:
                runcmd_at(name, 'scriptevent fearcube:forms_informations profile_InSaRe')
            break;
            case 2:
                runcmd_at(name, 'scriptevent fearcube:forms_informations profile_MohammedKHC')
            break;
            default:
        }
    }).catch(e => {
        console.error(e, e.stack);
    });

}  


if (event.id === "fearcube:forms_informations",event.message === "list_fearcube") {
    let player = event.sourceEntity
    let name = event.sourceEntity.name  

    let form = new ActionFormData();
        form.title("FearCube");
        form.body(`\n              \n\n%fearcube.map_information.list_fearcube \n\n%fearcube.map_information.list_fearcube1`)

        form.button(`MisterFear2023 \n %fearcube.map_information.list_fearcube2`, "textures/map_information/fearcube/MisterFear2023");
        form.button(`Ruslan_IV2088 \n %fearcube.map_information.list_fearcube3`, "textures/map_information/fearcube/Ruslan_IV2088");
        form.button(`Drak5945 \n %fearcube.map_information.list_fearcube4`, "textures/map_information/fearcube/Drak5945");
    form.show(player).then(r => {
        if (r.canceled) return;
    
        let response = r.selection;
        switch (response) {
            case 0:
                runcmd_at(name, 'scriptevent fearcube:forms_informations profile_MisterFear2023')
            break;
            case 1:
                runcmd_at(name, 'scriptevent fearcube:forms_informations profile_Ruslan_IV2088')
            break;
            case 2:
                runcmd_at(name, 'scriptevent fearcube:forms_informations profile_Drak5945')
            break;
            default:
        }
    }).catch(e => {
        console.error(e, e.stack);
    });

}  

if (event.id === "fearcube:forms_informations",event.message === "profile_MisterFear2023") {
    let player = event.sourceEntity

    let form = new ModalFormData()
        form.title("MisterFear2023");
        form.textField("%fearcube.map_information.profile_MisterFear2023 \n%fearcube.map_information.profile_MisterFear2023_1 \n\n Telegram", "§o§6https://t.me/vs59_2","§o§6https://t.me/vs59_2")

    form.show(player).then(r => {
    }).catch(e => {
        console.error(e, e.stack);
    });

} 

if (event.id === "fearcube:forms_informations",event.message === "profile_Ruslan_IV2088") {
    let player = event.sourceEntity
    let form = new ModalFormData()
        form.title("Ruslan_IV2088");
        form.textField("%fearcube.map_information.profile_Ruslan_IV2088 \n\n Telegram", "§o§chttps://t.me/Ruslan_IV_1","§o§chttps://t.me/Ruslan_IV_1")

        form.textField(" YouTube", "§o§ahttps://youtube.com/@ruslan_iv?si=IRHJyU7mUOEuVwDN","§o§chttps://youtube.com/@ruslan_iv?si=IRHJyU7mUOEuVwDN")
        form.textField(" Discord", "§o§a@ruslan_iv","§o§c@ruslan_iv")
        form.textField(" VK", "§o§ahttps://vk.com/id542773938","§o§chttps://vk.com/id542773938")
        form.textField(" Instagram", "§o§ahttps://www.instagram.com/ryusui_iv?igsh=MWd6aXk3NzFnOHE5Nw==","§o§chttps://www.instagram.com/ryusui_iv?igsh=MWd6aXk3NzFnOHE5Nw==")

    form.show(player).then(r => {
    }).catch(e => {
        console.error(e, e.stack);
    });

} 

if (event.id === "fearcube:forms_informations",event.message === "profile_Drak5945") {
    let player = event.sourceEntity
    let form = new ModalFormData()
        form.title("Drak5945");
        form.textField("%fearcube.map_information.profile_Drak5945 \n\n Telegram", "§o§chttps://t.me/sur5hard","§o§chttps://t.me/sur5hard")

    form.show(player).then(r => {
    }).catch(e => {
        console.error(e, e.stack);
    });

} 


if (event.id === "fearcube:forms_informations",event.message === "profile_MohammedKHC") {
    let player = event.sourceEntity

    let form = new ModalFormData()
        form.title("MohammedKHC");
        form.textField("%fearcube.map_information.profile_MohammedKHC \n\n YouTube", "§o§ahttps://www.youtube.com/@MohammedKHC","§o§ahttps://www.youtube.com/@MohammedKHC")
        form.textField(" Mail", "§o§acontact@mohammedkhc.com","§o§acontact@mohammedkhc.com")

    form.show(player).then(r => {
    }).catch(e => {
        console.error(e, e.stack);
    });

}



if (event.id === "fearcube:forms_informations",event.message === "profile_InSaRe") {
    let player = event.sourceEntity
    let name = event.sourceEntity.name  


    let form = new ModalFormData()
        form.title("InSaRe");
        form.textField("%fearcube.map_information.profile_InSaRe \n\n YouTube", "§o§ahttps://www.youtube.com/@-insare-1271","§o§ahttps://www.youtube.com/@-insare-1271")
        form.textField(" Telegram", "§o§ahttps://t.me/InSaRehome","§o§ahttps://t.me/InSaRehome")
        form.textField(" Discord server", "§o§ahttps://discord.gg/CvwVMVXBEC","§o§ahttps://discord.gg/CvwVMVXBEC")
        form.textField(" VK group", "§o§ahttps://vk.com/insareofficial","§o§ahttps://vk.com/insareofficial")
        form.textField(" Rutube", "§o§ahttps://rutube.ru/channel/38756216/about/","§o§ahttps://rutube.ru/channel/38756216/about/")
        form.textField(" Yandex Dzen", "§o§ahttps://dzen.ru/id/66a6a3450bb3253929bdceaf","§o§ahttps://dzen.ru/id/66a6a3450bb3253929bdceaf")

    form.show(player).then(r => {
    }).catch(e => {
        console.error(e, e.stack);
    });

}  



});
