import { system, Player, world } from '@minecraft/server';


world.beforeEvents.itemUse.subscribe(event => {
    const player = event.source
 
    if (event.itemStack.typeId === "addon:acw") { shotACW(player) }
    if (event.itemStack.typeId === "addon:ak37") { shotAK37(player) }
    if (event.itemStack.typeId === "addon:dbn") { shotDBN(player) }
    if (event.itemStack.typeId === "addon:glock53") { shotGlock53(player) }
    if (event.itemStack.typeId === "addon:m22") { shotM22(player) }
    if (event.itemStack.typeId === "addon:m42") { shotM42(player) }
    if (event.itemStack.typeId === "addon:mdxr") { shotMdxr(player) }
    if (event.itemStack.typeId === "addon:mn5") { shotMN5(player) }
    if (event.itemStack.typeId === "addon:pp42") { shotPP42(player) }
    if (event.itemStack.typeId === "addon:rpk37") { shotRpk37(player) }
    if (event.itemStack.typeId === "addon:rvl34") { shotRvl34(player) }
    if (event.itemStack.typeId === "addon:vec35") { shotVec35(player) }



});

function shotVec35(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s vec35_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.vec35_shoot_aim");
        player.runCommandAsync("function systems/guns/vec35_scope");
    } else {
        player.runCommandAsync("event entity @s vec35_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.vec35_shoot");
        player.runCommandAsync("function systems/guns/vec35_noscope");
    }
    player.runCommandAsync("playsound addon.vec35 @a ~~~ 100");

}

function shotRvl34(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s rvl34_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.rvl34_shoot_aim");
        player.runCommandAsync("function systems/guns/rvl34_scope");
    } else {
        player.runCommandAsync("event entity @s rvl34_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.rvl34_shoot");
        player.runCommandAsync("function systems/guns/rvl34_noscope");
    }
    player.runCommandAsync("playsound addon.rvl34 @a ~~~ 100");

}

function shotRpk37(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s rpk37_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.rpk37_shoot_aim");
        player.runCommandAsync("function systems/guns/rpk37_scope");
    } else {
        player.runCommandAsync("event entity @s rpk37_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.rpk37_shoot");
        player.runCommandAsync("function systems/guns/rpk37_noscope");
    }
    player.runCommandAsync("playsound addon.rpk37 @a ~~~ 100");

}

function shotPP42(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s pp42_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.pp42_shoot_aim");
        player.runCommandAsync("function systems/guns/pp42_scope");
    } else {
        player.runCommandAsync("event entity @s pp42_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.pp42_shoot");
        player.runCommandAsync("function systems/guns/pp42_noscope");
    }
    player.runCommandAsync("playsound addon.pp42 @a ~~~ 100");

}

function shotMN5(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s mn5_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.mn5_shoot_aim");
        player.runCommandAsync("function systems/guns/mn5_scope");
    } else {
        player.runCommandAsync("event entity @s mn5_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.mn5_shoot");
        player.runCommandAsync("function systems/guns/mn5_noscope");
    }
    player.runCommandAsync("playsound addon.mn5 @a ~~~ 100");
    player.runCommandAsync("summon addon:shell ~~0.3~~~ shotgun");

}

function shotMdxr(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s mdxr_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.mdxr_shoot_aim");
        player.runCommandAsync("function systems/guns/mdxr_scope");
    } else {
        player.runCommandAsync("event entity @s mdxr_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.mdxr_shoot");
        player.runCommandAsync("function systems/guns/mdxr_noscope");
    }
    player.runCommandAsync("playsound addon.mdxr @a ~~~ 100");

}

function shotM42(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s m42_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.m42_shoot_aim");
        player.runCommandAsync("function systems/guns/m42_scope");
    } else {
        player.runCommandAsync("event entity @s m42_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.m42_shoot");
        player.runCommandAsync("function systems/guns/m42_noscope");
    }
    player.runCommandAsync("playsound addon.m42 @a ~~~ 100");

}

function shotGlock53(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s glock53_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.glock53_shoot_aim");
        player.runCommandAsync("function systems/guns/glock53_scope");
    } else {
        player.runCommandAsync("event entity @s glock53_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.glock53_shoot");
        player.runCommandAsync("function systems/guns/glock53_noscope");
    }
    player.runCommandAsync("playsound addon.glock53 @a ~~~ 100");

}

function shotDBN(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s dbn_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.dbn_shoot_aim");
        player.runCommandAsync("function systems/guns/dbn_scope");
    } else {
        player.runCommandAsync("event entity @s dbn_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.dbn_shoot");
        player.runCommandAsync("function systems/guns/dbn_noscope");
    }
    player.runCommandAsync("playsound addon.dbn @a ~~~ 100");

}

function shotAK37(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s ak37_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.ak37_shoot_aim");
        player.runCommandAsync("function systems/guns/ak37_scope");
    } else {
        player.runCommandAsync("event entity @s ak37_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.ak37_shoot");
        player.runCommandAsync("function systems/guns/ak37_noscope");
    }
    player.runCommandAsync("playsound addon.ak37 @a ~~~ 100");

}

function shotACW(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s acw_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.acw_shoot_aim");
        player.runCommandAsync("function systems/guns/acw_scope");
    } else {
        player.runCommandAsync("event entity @s acw_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.acw_shoot");
        player.runCommandAsync("function systems/guns/acw_noscope");
    }
    player.runCommandAsync("playsound addon.acw @a ~~~ 100");

}


function shotM22(player) {

    if (player.isSneaking) {  
        player.runCommandAsync("event entity @s m22_bullet_scope");
        player.runCommandAsync("playanimation @s animation.item.m22_shoot_aim");
        // player.runCommandAsync("function systems/guns/m22_scope");
    } else {
        player.runCommandAsync("event entity @s m22_bullet_noscope");
        player.runCommandAsync("playanimation @s animation.item.m22_shoot");
        // player.runCommandAsync("function systems/guns/m22_noscope");
    }

}
