
import { system, world } from '@minecraft/server';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';



system.afterEvents.scriptEventReceive.subscribe((event) => {

    if (event.id === "fearcube:vote" && event.message === "cs_vote") {
        let arena1Votes = getScore("fear_operation", "cs.vove_arena1");
        let arena2Votes = getScore("fear_operation", "cs.vove_arena2");
        let arena3Votes = getScore("fear_operation", "cs.vove_arena3");
        let arena4Votes = getScore("fear_operation", "cs.vove_arena4");
        let arena5Votes = getScore("fear_operation", "cs.vove_arena5");
        let arenas = [
            { name: "arena1", votes: arena1Votes },
            { name: "arena2", votes: arena2Votes },
            { name: "arena3", votes: arena3Votes },
            { name: "arena4", votes: arena4Votes },
            { name: "arena5", votes: arena5Votes }
        ];
        arenas.sort((a, b) => b.votes - a.votes);
        let maxVotes = arenas[0].votes;
        let topArenas = arenas.filter(arena => arena.votes === maxVotes);
        let selectedArena;
        if (topArenas.length > 1) {
            selectedArena = topArenas[Math.floor(Math.random() * topArenas.length)];
        } else {
            selectedArena = topArenas[0];
        }
        if (selectedArena.name === "arena1") {
            runcmd(`scoreboard players set cs.arena fear:settings 1`)
            runcmd(`tellraw @a[tag=cs:lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"Dust2"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"cs.vove_arena1","objective":"fear_operation"}}]}]}}]}`)
 
        } else if (selectedArena.name === "arena2") {
            runcmd(`scoreboard players set cs.arena fear:settings 2`)
            runcmd(`tellraw @a[tag=cs:lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"Inferno"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"cs.vove_arena2","objective":"fear_operation"}}]}]}}]}`)
 
        } else if (selectedArena.name === "arena3") {
            runcmd(`scoreboard players set cs.arena fear:settings 3`)
            runcmd(`tellraw @a[tag=cs:lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"Mirage"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"cs.vove_arena3","objective":"fear_operation"}}]}]}}]}`)
        
        } else if (selectedArena.name === "arena4") {
            runcmd(`scoreboard players set cs.arena fear:settings 4`)
            runcmd(`tellraw @a[tag=cs:lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"Train"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"cs.vove_arena4","objective":"fear_operation"}}]}]}}]}`)
 
        } else if (selectedArena.name === "arena5") {
            runcmd(`scoreboard players set cs.arena fear:settings 5`)
            runcmd(`tellraw @a[tag=cs:lobby] {"rawtext":[{"translate":"fearcube.vote","with":{"rawtext":[{"rawtext":[{"text":"§e"},{"translate":"Nuke"},{"text":"§r"}]},{"rawtext":[{"text":"§c"},{"score":{"name":"cs.vove_arena5","objective":"fear_operation"}}]}]}}]}`)
 
        } 
    }
    


});