import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";
import { system, world } from '@minecraft/server';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';




system.afterEvents.scriptEventReceive.subscribe((event) => {


    if (event.id === "fearcube:forms",event.message === "games_select") {
        let player = event.sourceEntity
        let name = event.sourceEntity.name  
    
        const hns_mobs = getScore('fear_operation','hns.mobs_check_players',true)
        const hns_mobs1 = getScore('hns.mobs.operation','hns.mobs.track_play_in',true)
    
        const mm = getScore('fear_operation','mm_check_players',true)
        const mm1 = getScore('mm:operation','how_gamers',true)


        const cs_game = getScore('cs:operations','how_gamers',true)
        const cs_lobbyT = getScore('fear_operation','cs_check_players_terrorist',true)
        const cs_lobbyC = getScore('fear_operation','cs_check_players_commando',true)
    
        let form = new ActionFormData();
        form.title("%fearcube.all_games");
        form.body(`%fearcube.all_gamer: ${hns_mobs + hns_mobs1 + mm + mm1}`);
        form.button(` §lHide and Seek §c| §4Mobs \n §r%fearcube.in_game:§4 ${hns_mobs + hns_mobs1}`, "textures/icon/game_select/hns_mobs");
        form.button(` §lMurder Mystery \n §r%fearcube.in_game:§4 ${mm + mm1}`, "textures/icon/game_select/mm");
        form.button(` §lCounter Strike \n §r%fearcube.in_game:§4 ${cs_game + cs_lobbyT + cs_lobbyC}`, "textures/icon/game_select/cs1");
    
        form.show(player).then(r => {
            runcmd_at(name, 'playsound random.chestclosed @s ~~~ 5 0.5')
            if (r.canceled) return;
        
            let response = r.selection;
            switch (response) {
                case 0:
                    runcmd_at(name, 'execute as @s[tag=lobby] at @s run scriptevent fearcube:forms hns_lobby')
                    break;
        
                case 1:
                    runcmd_at(name, 'execute as @s[tag=lobby] at @s run scriptevent fearcube:forms mm_lobby')
                    break;

                case 2:
                    runcmd_at(name, 'execute as @s[tag=lobby] at @s run scriptevent fearcube:forms cs_lobby')
                    break;
    
                default:
            }
        }).catch(e => {
            console.error(e, e.stack);
        });
    
        }

               // ВЫХОД В ЛОББИ ---------------------------------------------------------------------------------------------------------
if (event.id === "fearcube:forms",event.message === "form_exit_to_lobby") {
    let player = event.sourceEntity
    let name = event.sourceEntity.name

    let form1 = new MessageFormData();
    form1.title(" ");
    form1.body("%fearcube.back_to_lobby");
    form1.button1("%createWorldScreen.clearPlayerData.cancel");
    form1.button2("%progressScreen.dialog.button.leave");
    form1.show(player).then(r => {
    if(r.canceled || r.selection == 0){
     return }
       world.getDimension("overworld").runCommandAsync(`execute as "${name}" at @s run function games/link_to_lobby`);
    
    }).catch((e) => { console.error(e, e.stack); });

}       

if (event.id === "fearcube:forms",event.message === "info") {
    let player = event.sourceEntity
    let name = event.sourceEntity.name 


    let form = new ModalFormData()
        form.title("");
        form.textField("\n              \n\n\n\n\n\n\n§7Telegram", "https://t.me/fearcube","https://t.me/fearcube")

        form.show(player).then(r => {
            runcmd_at(name, `playsound random.enderchestclosed @s ~~~ 1 0.3`)
            if (r.canceled) return;
            let [ textField ] = r.formValues;
            runcmd_at(name, `playsound random.enderchestclosed @s ~~~ 1 0.3`)
        }).catch(e => {
            console.error(e, e.stack);
        });  

}  




});
