import { world, system } from '@minecraft/server';

system.afterEvents.scriptEventReceive.subscribe(async (event) => {
    if (event.id === "fearcube:other" && event.message === "test") {
        const player = event.sourceEntity;

        if (player && player.getBlockFromViewDirection) {
            const maxDistance = 5; 
            const options = { maxDistance: maxDistance };

            const blockHit = player.getBlockFromViewDirection(options);

            if (blockHit) {
                const block = blockHit.block;
                const blockX = block.x;
                const blockY = block.y;
                const blockZ = block.z;
                const blockType = block.typeId; // тип блока (прям прописю айди блока)

                // 33 21 11
                if (blockX === 33 && blockY === 21 && blockZ === 11) {
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                } 

                // 34 21 -12
                if (blockX === 34 && blockY === 21 && blockZ === -12) {
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                }
                // -2955 115 -2937 /summon fear:point -2955 115 -2937 
                if (blockX === -2955 && blockY === 115 && blockZ === -2937) {
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                }

                // -2939 115 -2937
                if (blockX === -2939 && blockY === 115 && blockZ === -2937) { 
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                }
                // -3970 127 -3970
                if (blockX === -3970 && blockY === 127 && blockZ === -3970) {
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                }
                // -1037 103 -998
                if (blockX === -1037 && blockY === 103 && blockZ === -998) {
                    await player.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"translate":"fearcube.tap_details"}]}`);
                }

            } else {
                console.log("Блок не найдdн");
            }
        } else {
            console.log("не верно");
        }
    }
});