
import { system, world } from '@minecraft/server';
import { getPlayerTagData, getTagValue } from '../../systemFiles/tagUtils.js';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';


system.afterEvents.scriptEventReceive.subscribe((event) => {


if (event.id === "fearcube:ui",event.message === "lobby_UI") {
    const player = event.sourceEntity
    // let name = event.sourceEntity.name 
    const online = getScore('fear_operation','fearcube_trackplayers',true)
    const balance = getTagValue(player, "money");

    const lvl = getTagValue(player, "lvl");

    const roster_players = getScore('fear:settings','roster_players',true)

    player.runCommandAsync(`titleraw @s title {"rawtext":[{"text":"          \n\n§e•§7"},{"translate":"fearcube.structure5","with":{"rawtext":[{"rawtext":[{"translate":"fearcube.balance"},{"text":": §c${balance}"},{"text":"\n§3•§7"}]},{"rawtext":[{"translate":"fearcube.you_lvl"},{"text":": §c${lvl}"},{"text":"\n§a•§7"}]},{"rawtext":[{"translate":"fearcube.online"},{"text":": §c${online}"},{"text":"\n§c•§7"}]},{"rawtext":[{"translate":"fearcube.player_roster"},{"text":": §c${roster_players}"},{"text":"\n\n§b"}]},{"rawtext":[{"translate":"fearcube.website"}]}]}}]}`);

}  




});
