import { system, world, Player } from '@minecraft/server';
import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";
import {  getTagValue, updateTagData } from '../../systemFiles/tagUtils.js';
import { runcmd, runcmd_at, BoolToNum, getScore } from '../../systemFiles/tools';
import {  setLobbyNickname } from '../nickname.js';



function shoopsSmiley(player, name) {
    let form = new ActionFormData();
    const money = getTagValue(player, "money");
    let price = "99"; 

    let smiley1 = "";
    if (player.hasTag("smiley:1")) {smiley1 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:1_true")) { smiley1 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley1 = `§2${price}$`} else {smiley1 = `§4${price}$`}}; 
    }
    let smiley2 = "";
    if (player.hasTag("smiley:2")) {smiley2 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:2_true")) { smiley2 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley2 = `§2${price}$`} else {smiley2 = `§4${price}$`}}; 
    }
    let smiley3 = "";
    if (player.hasTag("smiley:3")) {smiley3 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:3_true")) { smiley3 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley3 = `§2${price}$`} else {smiley3 = `§4${price}$`}}; 
    }
    let smiley4 = "";
    if (player.hasTag("smiley:4")) {smiley4 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:4_true")) { smiley4 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley4 = `§2${price}$`} else {smiley4 = `§4${price}$`}}; 
    }
    let smiley5 = "";
    if (player.hasTag("smiley:5")) {smiley5 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:5_true")) { smiley5 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley5 = `§2${price}$`} else {smiley5 = `§4${price}$`}}; 
    }
    let smiley6 = "";
    if (player.hasTag("smiley:6")) {smiley6 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:6_true")) { smiley6 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley6 = `§2${price}$`} else {smiley6 = `§4${price}$`}}; 
    }
    let smiley7 = "";
    if (player.hasTag("smiley:7")) {smiley7 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:7_true")) { smiley7 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley7 = `§2${price}$`} else {smiley7 = `§4${price}$`}}; 
    }
    let smiley8 = "";
    if (player.hasTag("smiley:8")) {smiley8 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:8_true")) { smiley8 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley8 = `§2${price}$`} else {smiley8 = `§4${price}$`}}; 
    }
    let smiley9 = "";
    if (player.hasTag("smiley:9")) {smiley9 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:9_true")) { smiley9 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley9 = `§2${price}$`} else {smiley9 = `§4${price}$`}}; 
    }
    let smiley10 = "";
    if (player.hasTag("smiley:10")) {smiley10 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:10_true")) { smiley10 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley10 = `§2${price}$`} else {smiley10 = `§4${price}$`}}; 
    }
    let smiley11 = "";
    if (player.hasTag("smiley:11")) {smiley11 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:11_true")) { smiley11 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley11 = `§2${price}$`} else {smiley11 = `§4${price}$`}}; 
    }
    let smiley12 = "";
    if (player.hasTag("smiley:12")) {smiley12 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:12_true")) { smiley12 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley12 = `§2${price}$`} else {smiley12 = `§4${price}$`}}; 
    }
    let smiley13 = "";
    if (player.hasTag("smiley:13")) {smiley13 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:13_true")) { smiley13 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley13 = `§2${price}$`} else {smiley13 = `§4${price}$`}}; 
    }
    let smiley14 = "";
    if (player.hasTag("smiley:14")) {smiley14 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:14_true")) { smiley14 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley14 = `§2${price}$`} else {smiley14 = `§4${price}$`}}; 
    }
    let smiley15 = "";
    if (player.hasTag("smiley:15")) {smiley15 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:15_true")) { smiley15 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley15 = `§2${price}$`} else {smiley15 = `§4${price}$`}}; 
    }
    let smiley16 = "";
    if (player.hasTag("smiley:16")) {smiley16 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:16_true")) { smiley16 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley16 = `§2${price}$`} else {smiley16 = `§4${price}$`}}; 
    }
    let smiley17 = "";
    if (player.hasTag("smiley:17")) {smiley17 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:17_true")) { smiley17 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley17 = `§2${price}$`} else {smiley17 = `§4${price}$`}}; 
    }
    let smiley18 = "";
    if (player.hasTag("smiley:18")) {smiley18 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:18_true")) { smiley18 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley18 = `§2${price}$`} else {smiley18 = `§4${price}$`}}; 
    }
    let smiley19 = "";
    if (player.hasTag("smiley:19")) {smiley19 = "%fearcube.shop.selected"} else {
        if (player.hasTag("smiley:19_true")) { smiley19 = "%fearcube.shop.bought"}
        else { if (money >= price) { smiley19 = `§2${price}$`} else {smiley19 = `§4${price}$`}}; 
    }


    
    form.title(" Smiley store");
    form.button(`${smiley1}`, "textures/shoop/smiley/smiley1");
    form.button(`${smiley2}`, "textures/shoop/smiley/smiley2");
    form.button(`${smiley3}`, "textures/shoop/smiley/smiley3");
    form.button(`${smiley4}`, "textures/shoop/smiley/smiley4");
    form.button(`${smiley5}`, "textures/shoop/smiley/smiley5");
    form.button(`${smiley6}`, "textures/shoop/smiley/smiley6");
    form.button(`${smiley7}`, "textures/shoop/smiley/smiley7");
    form.button(`${smiley8}`, "textures/shoop/smiley/smiley8");
    form.button(`${smiley9}`, "textures/shoop/smiley/smiley9");
    form.button(`${smiley10}`, "textures/shoop/smiley/smiley10");
    form.button(`${smiley11}`, "textures/shoop/smiley/smiley11");
    form.button(`${smiley12}`, "textures/shoop/smiley/smiley12");
    form.button(`${smiley13}`, "textures/shoop/smiley/smiley13");
    form.button(`${smiley14}`, "textures/shoop/smiley/smiley14");
    form.button(`${smiley15}`, "textures/shoop/smiley/smiley15");
    form.button(`${smiley16}`, "textures/shoop/smiley/smiley16");
    form.button(`${smiley17}`, "textures/shoop/smiley/smiley17");
    form.button(`${smiley18}`, "textures/shoop/smiley/smiley18");
    form.button(`${smiley19}`, "textures/shoop/smiley/smiley19");

    form.show(player).then(r => {
        if (r.canceled) return;
        let response = r.selection;
        switch (response) {

            case 0:
            SubjectBuy_smiley1(player, money, name, price)
            break;

            case 1:
            SubjectBuy_smiley2(player, money, name, price)
            break;
            
            case 2:
            SubjectBuy_smiley3(player, money, name, price)
            break;
            
            case 3:
            SubjectBuy_smiley4(player, money, name, price)
            break;
            
            case 4:
            SubjectBuy_smiley5(player, money, name, price)
            break;
            
            case 5:
            SubjectBuy_smiley6(player, money, name, price)
            break;
            
            case 6:
            SubjectBuy_smiley7(player, money, name, price)
            break;
            
            case 7:
            SubjectBuy_smiley8(player, money, name, price)
            break;
            
            case 8:
            SubjectBuy_smiley9(player, money, name, price)
            break;
            
            case 9:
            SubjectBuy_smiley10(player, money, name, price)
            break;
            
            case 10:
            SubjectBuy_smiley11(player, money, name, price)
            break;
            
            case 11:
            SubjectBuy_smiley12(player, money, name, price)
            break;
            
            case 12:
            SubjectBuy_smiley13(player, money, name, price)
            break;
            
            case 13:
            SubjectBuy_smiley14(player, money, name, price)
            break;
            
            case 14:
            SubjectBuy_smiley15(player, money, name, price)
            break;
            
            case 15:
            SubjectBuy_smiley16(player, money, name, price)
            break;
            
            case 16:
            SubjectBuy_smiley17(player, money, name, price)
            break;
            
            case 17:
            SubjectBuy_smiley18(player, money, name, price)
            break;
            
            case 18:
            SubjectBuy_smiley19(player, money, name, price)
            break;

        }
    }).catch(e => { console.error(e, e.stack); });
}

function SubjectSelectionSmiley(player, items, name) {
    let itemID = parseInt(items);

    let { nameItem } = checkingSubject(itemID);
    let form1 = new MessageFormData();

    form1.title(" ");
    form1.body(`%fearcube.shop.smiley.select  ${nameItem}?`);
    form1.button1("%gui.no");
    form1.button2("%gui.yes");

    form1.show(player).then(r => {
        if (r.canceled || r.selection == 0) return;

        removeTag(player);
        if (itemID === 1) {
            player.addTag(`smiley:1`);
        }
        if (itemID === 2) {
            player.addTag(`smiley:2`);
        }
        if (itemID === 3) {
            player.addTag(`smiley:3`);
        }
        if (itemID === 4) {
            player.addTag(`smiley:4`);
        }
        if (itemID === 5) {
            player.addTag(`smiley:5`);
        }
        if (itemID === 6) {
            player.addTag(`smiley:6`);
        }
        if (itemID === 7) {
            player.addTag(`smiley:7`);
        }
        if (itemID === 8) {
            player.addTag(`smiley:8`);
        }
        if (itemID === 9) {
            player.addTag(`smiley:9`);
        }
        if (itemID === 10) {
            player.addTag(`smiley:10`);
        }
        if (itemID === 11) {
            player.addTag(`smiley:11`);
        }
        if (itemID === 12) {
            player.addTag(`smiley:12`);
        }
        if (itemID === 13) {
            player.addTag(`smiley:13`);
        }
        if (itemID === 14) {
            player.addTag(`smiley:14`);
        }
        if (itemID === 15) {
            player.addTag(`smiley:15`);
        }
        if (itemID === 16) {
            player.addTag(`smiley:16`);
        }
        if (itemID === 17) {
            player.addTag(`smiley:17`);
        }
        if (itemID === 18) {
            player.addTag(`smiley:18`);
        }
        if (itemID === 19) {
            player.addTag(`smiley:19`);
        }

        setLobbyNickname(player);
        runcmd_at(name, `tellraw @s {"rawtext":[{"text":"§a"},{"translate":"fearcube.shop.smiley.selected"},{"text":" §l${nameItem}"}]}`);
        runcmd_at(name, `tellraw @a[tag=fear:logs] {"rawtext":[{"text":"§a...events/smiley/${name}/${nameItem}"}]}`);
        runcmd_at(name, `playsound ui.loom.take_result @s ~~~ 1 1.5`);
    
    
    }).catch((e) => { console.error(e, e.stack); });
}


function SubjectBuy(player, items, name, money, price) {
    let value = price;
    let key = "money"
    let { nameItem } = checkingSubject(items);
    let form1 = new MessageFormData();
    form1.title(" ");
    form1.body(`%fearcube.shop.smiley.buy ${nameItem}?`);
    form1.button1("%gui.no");
    form1.button2("%gui.yes");
    form1.show(player).then(r => {
    if(r.canceled || r.selection == 0){
     return }

     if ( price <= money) {    
        if (items === 1 ) { player.addTag(`smiley:1_true`);}
        if (items === 2 ) { player.addTag(`smiley:2_true`);}
        if (items === 3 ) { player.addTag(`smiley:3_true`);}
        if (items === 4 ) { player.addTag(`smiley:4_true`);}
        if (items === 5 ) { player.addTag(`smiley:5_true`);}
        if (items === 6 ) { player.addTag(`smiley:6_true`);}
        if (items === 7 ) { player.addTag(`smiley:7_true`);}
        if (items === 8 ) { player.addTag(`smiley:8_true`);}
        if (items === 9 ) { player.addTag(`smiley:9_true`);}
        if (items === 10 ) { player.addTag(`smiley:10_true`);}
        if (items === 11 ) { player.addTag(`smiley:11_true`);}
        if (items === 12 ) { player.addTag(`smiley:12_true`);}
        if (items === 13 ) { player.addTag(`smiley:13_true`);}
        if (items === 14 ) { player.addTag(`smiley:14_true`);}
        if (items === 15 ) { player.addTag(`smiley:15_true`);}
        if (items === 16 ) { player.addTag(`smiley:16_true`);}
        if (items === 17 ) { player.addTag(`smiley:17_true`);}
        if (items === 18 ) { player.addTag(`smiley:18_true`);}
        if (items === 19 ) { player.addTag(`smiley:19_true`);}


        updateTagData(player, key, parseInt(value), false)
        runcmd_at(name, `tellraw @s {"rawtext":[{"text":"§a"},{"translate":"fearcube.shop.smiley.bought"},{"text":" §l${nameItem}"}]}`);
        runcmd_at(name, `playsound mob.villager.yes @s ~~~ 1 1.5`);
    } else {
        runcmd_at(name, `tellraw @s {"rawtext":[{"text":"§c"},{"translate":"fearcube.shop.nickname.error1"},{"text":"§6 ${price - money}$"}]}`)
        runcmd_at(name, `playsound mob.villager.no @s ~~~ 1 1.5`);
    }
    shoopsSmiley(player, name)
    }).catch((e) => { console.error(e, e.stack); });
}

function SubjectShutdownSmiley(player, name) {
    let form1 = new MessageFormData();

    form1.title(" ");
    form1.body(`%fearcube.shop.smiley.take_off?`);
    form1.button1("%gui.no");
    form1.button2("%gui.yes");


    form1.show(player).then(r => {
    if(r.canceled || r.selection == 0){
     return }

     removeTag(player); 
     runcmd_at(name, `tellraw @s {"rawtext":[{"text":"§a"},{"translate":"fearcube.shop.smiley.taken_off"}]}`)
     runcmd_at(name, `playsound fall.egg @s ~~~ 1 1`)
     
    
    }).catch((e) => { console.error(e, e.stack); });
}



function removeTag(player) {
    player.removeTag(`smiley:1`)
    player.removeTag(`smiley:2`)
    player.removeTag(`smiley:3`)
    player.removeTag(`smiley:4`)
    player.removeTag(`smiley:5`)
    player.removeTag(`smiley:6`)
    player.removeTag(`smiley:7`)
    player.removeTag(`smiley:8`)
    player.removeTag(`smiley:9`)
    player.removeTag(`smiley:10`)
    player.removeTag(`smiley:11`)
    player.removeTag(`smiley:12`)
    player.removeTag(`smiley:13`)
    player.removeTag(`smiley:14`)
    player.removeTag(`smiley:15`)
    player.removeTag(`smiley:16`)
    player.removeTag(`smiley:17`)
    player.removeTag(`smiley:18`)
    player.removeTag(`smiley:19`)
    setLobbyNickname(player);
}

function checkingSubject(items) {
    let nameItem = "";
    if (items === 1) { nameItem = "";}
    if (items === 2) { nameItem = "";}
    if (items === 3) { nameItem = "";}
    if (items === 4) { nameItem = "";}
    if (items === 5) { nameItem = "";}
    if (items === 6) { nameItem = "";}
    if (items === 7) { nameItem = "";}
    if (items === 8) { nameItem = "";}
    if (items === 9) { nameItem = "";}
    if (items === 10) { nameItem = "";}
    if (items === 11) { nameItem = "";}
    if (items === 12) { nameItem = "";}
    if (items === 13) { nameItem = "";}
    if (items === 14) { nameItem = "";}
    if (items === 15) { nameItem = "";}
    if (items === 16) { nameItem = "";}
    if (items === 17) { nameItem = "";}
    if (items === 18) { nameItem = "";}
    if (items === 19) { nameItem = "";}


    return { nameItem }
}

function SubjectBuy_smiley1(player, money, name, price) {
    let items = 1;
    if (player.hasTag("smiley:1") && player.hasTag("smiley:1_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:1_true") && !player.hasTag("smiley:1")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:1_true") && !player.hasTag("smiley:1")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley2(player, money, name, price) {
    let items = 2;
    if (player.hasTag("smiley:2") && player.hasTag("smiley:2_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:2_true") && !player.hasTag("smiley:2")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:2_true") && !player.hasTag("smiley:2")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley3(player, money, name, price) {
    let items = 3;
    if (player.hasTag("smiley:3") && player.hasTag("smiley:3_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:3_true") && !player.hasTag("smiley:3")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:3_true") && !player.hasTag("smiley:3")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley4(player, money, name, price) {
    let items = 4;
    if (player.hasTag("smiley:4") && player.hasTag("smiley:4_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:4_true") && !player.hasTag("smiley:4")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:4_true") && !player.hasTag("smiley:4")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley5(player, money, name, price) {
    let items = 5;
    if (player.hasTag("smiley:5") && player.hasTag("smiley:5_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:5_true") && !player.hasTag("smiley:5")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:5_true") && !player.hasTag("smiley:5")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley6(player, money, name, price) {
    let items = 6;
    if (player.hasTag("smiley:6") && player.hasTag("smiley:6_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:6_true") && !player.hasTag("smiley:6")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:6_true") && !player.hasTag("smiley:6")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley7(player, money, name, price) {
    let items = 7;
    if (player.hasTag("smiley:7") && player.hasTag("smiley:7_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:7_true") && !player.hasTag("smiley:7")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:7_true") && !player.hasTag("smiley:7")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley8(player, money, name, price) {
    let items = 8;
    if (player.hasTag("smiley:8") && player.hasTag("smiley:8_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:8_true") && !player.hasTag("smiley:8")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:8_true") && !player.hasTag("smiley:8")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley9(player, money, name, price) {
    let items = 9;
    if (player.hasTag("smiley:9") && player.hasTag("smiley:9_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:9_true") && !player.hasTag("smiley:9")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:9_true") && !player.hasTag("smiley:9")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley10(player, money, name, price) {
    let items = 10;
    if (player.hasTag("smiley:10") && player.hasTag("smiley:10_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:10_true") && !player.hasTag("smiley:10")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:10_true") && !player.hasTag("smiley:10")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley11(player, money, name, price) {
    let items = 11;
    if (player.hasTag("smiley:11") && player.hasTag("smiley:11_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:11_true") && !player.hasTag("smiley:11")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:11_true") && !player.hasTag("smiley:11")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley12(player, money, name, price) {
    let items = 12;
    if (player.hasTag("smiley:12") && player.hasTag("smiley:12_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:12_true") && !player.hasTag("smiley:12")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:12_true") && !player.hasTag("smiley:12")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley13(player, money, name, price) {
    let items = 13;
    if (player.hasTag("smiley:13") && player.hasTag("smiley:13_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:13_true") && !player.hasTag("smiley:13")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:13_true") && !player.hasTag("smiley:13")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley14(player, money, name, price) {
    let items = 14;
    if (player.hasTag("smiley:14") && player.hasTag("smiley:14_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:14_true") && !player.hasTag("smiley:14")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:14_true") && !player.hasTag("smiley:14")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley15(player, money, name, price) {
    let items = 15;
    if (player.hasTag("smiley:15") && player.hasTag("smiley:15_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:15_true") && !player.hasTag("smiley:15")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:15_true") && !player.hasTag("smiley:15")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley16(player, money, name, price) {
    let items = 16;
    if (player.hasTag("smiley:16") && player.hasTag("smiley:16_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:16_true") && !player.hasTag("smiley:16")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:16_true") && !player.hasTag("smiley:16")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley17(player, money, name, price) {
    let items = 17;
    if (player.hasTag("smiley:17") && player.hasTag("smiley:17_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:17_true") && !player.hasTag("smiley:17")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:17_true") && !player.hasTag("smiley:17")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley18(player, money, name, price) {
    let items = 18;
    if (player.hasTag("smiley:18") && player.hasTag("smiley:18_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:18_true") && !player.hasTag("smiley:18")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:18_true") && !player.hasTag("smiley:18")) { 
        SubjectBuy(player, items, name, money, price)}
}
function SubjectBuy_smiley19(player, money, name, price) {
    let items = 19;
    if (player.hasTag("smiley:19") && player.hasTag("smiley:19_true")) { 
        SubjectShutdownSmiley(player, name);}

    if (player.hasTag("smiley:19_true") && !player.hasTag("smiley:19")) { 
        SubjectSelectionSmiley(player, items, name, money, price);}

    if (!player.hasTag("smiley:19_true") && !player.hasTag("smiley:19")) { 
        SubjectBuy(player, items, name, money, price)}
}
export { shoopsSmiley, SubjectSelectionSmiley, SubjectShutdownSmiley };