import { system, Player, world } from '@minecraft/server';
import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui";
// import { FormInventoryMain } from '../other/inventory';


world.beforeEvents.itemUse.subscribe(event => {
    const player = event.source

    if (event.itemStack.typeId === "fear:back") { player.runCommandAsync("function items/back"); }
    if (event.itemStack.typeId === "fear:inventory") { player.runCommandAsync("scriptevent fearcube:forms inventoryMain"); }


    if (event.itemStack.typeId === "fear:commando") { player.runCommandAsync("execute if score cs.double_protection fear_operation matches 1 run scriptevent fearcube:forms cs_select_tag"); }
    if (event.itemStack.typeId === "fear:terrorist") { player.runCommandAsync("execute if score cs.double_protection fear_operation matches 1 run scriptevent fearcube:forms cs_select_tag"); }
    if (event.itemStack.typeId === "fear:cs_bomb") { player.runCommandAsync("function items/cs_bomb_item"); }
    if (event.itemStack.typeId === "fear:cs_shoop") { player.runCommandAsync("scriptevent fearcube:forms cs_shoop_main"); }
    if (event.itemStack.typeId === "fear:compass") { player.runCommandAsync("function items/commpass"); }
    if (event.itemStack.typeId === "fear:game_effects") { player.runCommandAsync("function items/game_effects"); }
    if (event.itemStack.typeId === "fear:select_arena") { player.runCommandAsync("function items/select_arena"); }
    if (event.itemStack.typeId === "fear:select_mob") { player.runCommandAsync("function items/select_mob"); }
    if (event.itemStack.typeId === "fear:social_menu") { player.runCommandAsync("function items/social_menu"); }
    if (event.itemStack.typeId === "fear:sword") { player.runCommandAsync("function items/sword"); }
    if (event.itemStack.typeId === "fear:viewer") { player.runCommandAsync("function items/viewer"); }

    if (event.itemStack.typeId === "minecraft:stick") { player.runCommandAsync("setblock ~~~ brown_mushroom"); }

    if (event.itemStack.typeId === "fear:map_information") { player.runCommandAsync("function items/map_information"); }
    if (event.itemStack.typeId === "fear:select_game") { player.runCommandAsync("function items/select_game"); }
    if (event.itemStack.typeId === "fear:shopping_cart") { player.runCommandAsync("function items/shopping_cart"); }

    if (event.itemStack.typeId === "addon:fire_grenade") {
        player.runCommandAsync("event entity @s[tag=!fear:useItemFalse] fear:cs_fire_grenade"); 
        player.runCommandAsync("execute as @s[tag=!fear:useItemFalse] at @s run scriptevent fearcube:add_tag c4=1"); 
        player.runCommandAsync("tag @s[tag=!fear:useItemFalse] add cs:on_grenade"); 
        player.runCommandAsync("clear @s[tag=!fear:useItemFalse] addon:fire_grenade 0 1"); }

    if (event.itemStack.typeId === "addon:flash_grenade") {
        player.runCommandAsync("event entity @s[tag=!fear:useItemFalse] fear:cs_flash_grenade"); 
        player.runCommandAsync("tag @s[tag=!fear:useItemFalse] add cs:flash_grenade_true"); 
        player.runCommandAsync("execute as @s[tag=!fear:useItemFalse] at @s run scriptevent fearcube:add_tag c4=1"); 
        player.runCommandAsync("clear @s[tag=!fear:useItemFalse] addon:flash_grenade 0 1"); }

    if (event.itemStack.typeId === "addon:he_grenade") { 
        player.runCommandAsync("event entity @s[tag=!fear:useItemFalse] fear:cs_he_grenade"); 
        player.runCommandAsync("execute as @s[tag=!fear:useItemFalse] at @s run scriptevent fearcube:add_tag c4=1"); 
        player.runCommandAsync("tag @s[tag=!fear:useItemFalse] add cs:on_grenade"); 
        player.runCommandAsync("clear @s[tag=!fear:useItemFalse] addon:he_grenade 0 1"); }

    if (event.itemStack.typeId === "addon:smoke_grenade") { 
        player.runCommandAsync("event entity @s[tag=!fear:useItemFalse] fear:cs_smoke_grenade"); 
        player.runCommandAsync("execute as @s[tag=!fear:useItemFalse] at @s run scriptevent fearcube:add_tag c4=1"); 
        player.runCommandAsync("clear @s[tag=!fear:useItemFalse] addon:smoke_grenade 0 1"); }

    if (event.itemStack.typeId === "minecraft:bow" && player.hasTag("mm:detective") ) { player.runCommandAsync("function items/vanila_bow"); }
});

